## com.bbn.openmap.tools.symbology.milStd2525
Class CodeMETOCCategory

    java.lang.Object
      com.bbn.openmap.tools.symbology.milStd2525.CodePosition
          com.bbn.openmap.tools.symbology.milStd2525.CodeMETOCCategory

public class CodeMETOCCategory
extends CodePosition

A CodeMETOCCategory is similar to the Tactical Graphics CodeCategory, but it applies to the METOC symbol set instead. This CodePosition notes the second character in METOC symbol codes, and represents whether a METOC event is in space, the atmosphere or ocean.

Field Summary

Fields inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`choices, DEBUG, endIndex, hierarchyNumber, id, NameProperty, nextPosition, NextProperty, NO_CHAR, NO_NUMBER, prettyName, startIndex, symbolPart`

Constructor Summary
`CodeMETOCCategory()`

Methods inherited from class com.bbn.openmap.tools.symbology.milStd2525.CodePosition
`addPositionChoice, addPositionChoice, codeMatches, getEndIndex, getFromChoices, getHierarchyNumber, getHierarchyNumberString, getID, getNextPosition, getNULLCodePosition, getPositionChoices, getPrettyName, getStartIndex, getSymbolPart, parseHierarchy, parsePositions, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CodeMETOCCategory

    public CodeMETOCCategory()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details